Bug 112771 - Invalid paths in config_vars.mk crash build of mod_jk
Invalid paths in config_vars.mk crash build of mod_jk
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
: 117912 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-30 22:19 EST by Nick Letkowski
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 04:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Letkowski 2003-12-30 22:19:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
It seems that wrong paths for APR_INCLUDEDIR and APU_INCLUDEDIR in
/usr/lib/httpd/build/config_vars.mk cause a problem when trying to
build mod_jk connector for Tomcat to Apache integration... (Check out
steps to reproduce for more information)

Version-Release number of selected component (if applicable):
httpd-2.0.46-25.ent

How reproducible:
Always

Steps to Reproduce:
1. Although the steps are for RH 9.0 they work the same for RHEL
2. Follow the steps to build the mod_jk connector from source listed at:
http://www.linuxgazette.com/issue95/millson.html
3. After running ./configure for the connector, make will fail due to
invalid path.
    

Actual Results:  make fails for mod_jk

Expected Results:  make creates a mod_jk.so module 
i.e.
CONN_SRC_HOME/jk/native/apache-2.0/mod_jk.so

Additional info:

I commented out the two variables APR_INCLUDEDIR and APU_INCLUDEDIR
and was able to make the module but I think this problem should be
addressed. 

Thanks,

Nick Letkowski
Comment 1 Nick Letkowski 2004-01-01 16:15:47 EST
For anybody out there struggling (I did for 3 days, building and
compiling stuff) to get mod_jk to work on RHEL 3 here is a tip (go
with the binary rpm distribution and use mod_jk2):
Looks as though mod_jk will not work properly with the versions of
RHEL and Apache 2.0.46 as well as Tomcat 4.1.29... This is propably
because mod_jk is deprecated in Tomcat 4.1 but problems with source
compilation on RHEL 3 don't help either. After correcting path errors
in config_vars.mk and "successful" compilation of mod_jk, Tomcat and
Apache will hang at refresh (socket connection time out).
Go with mod_jk2 and everything works fine now... although I was not
able to compile mod_jk2 on RHEL 3 due to the following error:
"/etc/httpd/build/libtool: Command not found". I think this is again
due to path problems in Apache config which originated this bug entry.
I would suggest going with the rpm mod_jk2 distribution available at:
http://people.redhat.com/gbenson/naoko/i386/mod_jk2-4.1.27-8.ent.1.i386.rpm

This works great with the RHEL3, Apache 2.0.46 and Tomcat 4.1.29
without any changes to configuration.
Comment 2 Joe Orton 2004-01-05 10:20:13 EST
Thanks for the report.
Comment 3 Joe Orton 2004-02-26 10:54:01 EST
Test update packages here:

http://people.redhat.com/jorton/Taroon-httpd/

include the fixes for:

- APR_INCLUDEDIR and APU_INCLUDEDIR in config_vars.mk
- /etc/httpd/build/libtool is present again
Comment 4 Nick Letkowski 2004-03-11 16:35:34 EST
Yes, the update packages work correctly. Thanks,

Nick
Comment 5 Mark J. Cox (Product Security) 2004-03-23 04:48:55 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-084.html
Comment 6 Joe Orton 2004-05-02 17:08:49 EDT
*** Bug 117912 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.